#ifndef CLASSIFIER__H
#define CLASSIFIER__H

#include <string>
#include "TransitionSet.hpp"
#include "MLP.hpp"

class Classifier
{
  private :

  std::string name;
  std::unique_ptr<TransitionSet> transitionSet;
  MLP nn{nullptr};

  public :

  Classifier(const std::string & name, const std::string & topology, const std::string & tsFile);
  TransitionSet & getTransitionSet();
};

#endif
